“ Gtk-WARNING: Unable to locate theme engine in module_path: ”murrine" error while installing Adobe air installation on Ubuntu 13.10 [closed]


Hi I'm new to ubuntu and I need to install adobe air on my computer! I have ubuntu 13.10 version.

I have followed the following steps:

  1. $ sudo apt-get install libgtk2.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libidn11:i386 libglu1-mesa:i386
  2. I have downloaded Adobe Air (http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRInstaller.bin)
  3. $ chmod +x AdobeAIRInstaller.bin
  4. $ ./AdobeAIRInstaller.bin

At this point I had the erro message:

  Gtk-Message: Failed to load module "overlay-scrollbar"
  Gtk-Message: Failed to load module "unity-gtk-module"
  (setup:3193): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",
  Gtk-Message: Failed to load module "canberra-gtk-module"

5- After looking different website I've done this:

  $ sudo apt-get install --reinsta gtk2-engines
  $ sudo apt-get install gtk-murrine-engine gtk-equinox-engine

and I got back this error message for the last command:

E: Unable to locate package gtk-murrine-engine

E: Unable to locate package gtk-equinox-engine

So I don't know anymore what else to do, can anyone help me please?

Thanks a million


Answers:


Installing the following will fix ..

sudo apt-get install gtk2-engines
sudo apt-get install gtk2-engines-*
sudo apt-get install libgtkmm-2.4-1c2
sudo apt-get install libcanberra-gtk-module

if that doesn't work then try ..

sudo apt-get install gtk2-engines:i386
sudo apt-get install gtk2-engines-*:i386
sudo apt-get install libgtkmm-2.4-1c2:i386
sudo apt-get install libcanberra-gtk-module:i386